<assembly xmlns="http://maven.apache.org/ASSEMBLY/2.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/ASSEMBLY/2.0.0 http://maven.apache.org/xsd/assembly-2.0.0.xsd">
 	<id>Doku</id>
 	<formats>
  	<format>zip</format>
  </formats>
  	
	<fileSets>
		<!-- die Jars und die dlls einpacken -->
		<fileSet>
	    <directory>${project.build.directory}</directory>
	    <outputDirectory>\</outputDirectory>
	    <includes>
	      <include>*dll</include>
	      <include>*.jar</include>
				<include>ReadMe.md</include>
				<include>ReleaseNotes.md</include>
	    </includes>
	  </fileSet>

		<fileSet>
			<directory>${basedir}</directory>
			<includes>
				<include>ReadMe.md</include>
				<include>ReleaseNotes.md</include>
				<include>pom.xml</include>
			</includes>
		</fileSet>

		<!-- Alles ausser bestimmte Dateitypen in doc (die manuell erstellte Dokumentation) -->
  	<fileSet>
			<excludes>
				<exclude>%regex[(?!.*doc/).*tex]</exclude>
				<exclude>%regex[(?!.*doc/).*png]</exclude>
				<exclude>%regex[(?!.*doc/).*EAI.*]</exclude>
			</excludes>
			<directory>${basedir}\doc</directory>
		</fileSet>

		<!-- Alles in docGen (die mit XML-SPY generierte Dokumentation) -->
		<fileSet>
		  <directory>${basedir}\docGen</directory>
		</fileSet>

	  <fileSet>
	  	<directory>${basedir}\src\main\resources\def\r2025_27</directory>
	    <outputDirectory>/</outputDirectory>
	  </fileSet>

	</fileSets>
 
</assembly>